This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 168988 - kernel 2.6.13-1.1565_FC5 - "snd-usb-audio.ko needs unknown symbol"
kernel 2.6.13-1.1565_FC5 - "snd-usb-audio.ko needs unknown symbol"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 16:45 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 19:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-09-21 16:45:30 EDT
Description of problem:

Installation of a new kernel brings a long list of

WARNING: /lib/modules/2.6.13-1.1565_FC5smp/kernel/sound/usb/snd-usb-audio.ko
needs unknown symbol __compound_literal.127

with different numbers by __compound_literal.  The same for a non-smp kernel.

This does not happen with the same kernel on x86_64 but there beginning
on an output of 

 nm /lib/modules/2.6.13-1.1565_FC5/kernel/sound/usb/snd-usb-audio.ko | \
     grep __compound_literal

looks like this:

0000000000002290 d __compound_literal.0
0000000000001820 r __compound_literal.1
0000000000002270 d __compound_literal.1
0000000000001700 r __compound_literal.10
0000000000000c20 r __compound_literal.100
0000000000001580 d __compound_literal.101

while for i686 kernel this comes as

000017b4 d __compound_literal.0
00000118 r __compound_literal.1
000017c0 d __compound_literal.1
000001a8 r __compound_literal.10
         U __compound_literal.101

i.e. "__compound_literal.100" is nowhere in sight, and many others, and
there are indeed "U"s all over the place.

Version-Release number of selected component (if applicable):
2.6.13-1.1565_FC5
Comment 1 Michal Jaegermann 2005-09-23 23:21:19 EDT
No change with 2.6.13-1.1570_FC5
Comment 2 Bojan Smojver 2005-09-24 22:58:00 EDT
Still the case in 1574:

[snip]
WARNING: /lib/modules/2.6.13-1.1574_FC5/kernel/sound/usb/snd-usb-audio.ko needs
unknown symbol __compound_literal.193
[snip]
Comment 3 Bojan Smojver 2005-09-24 22:59:05 EDT
BTW, there are complaints about "symbol __compound_literal.XXX" when the kernel
is being built.
Comment 4 Bojan Smojver 2005-09-25 00:03:27 EDT
  Building modules, stage 2.
*** Warning: "__compound_literal.200" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.129" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.196" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.191" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.104" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.152" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.145" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.113" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.115" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.125" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.154" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.175" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.95" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.171" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.83" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.131" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.161" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.186" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.133" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.139" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.156" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.165" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.118" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.143" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.193" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.101" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.121" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.123" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.159" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.163" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.111" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.98" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.179" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.198" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.169" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.141" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.181" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.177" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.147" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.167" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.150" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.135" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.80" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.137" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.184" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.92" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.86" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.173" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.109" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.89" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.188" [sound/usb/snd-usb-audio.ko] undefined!
*** Warning: "__compound_literal.127" [sound/usb/snd-usb-audio.ko] undefined!
Comment 5 Michal Jaegermann 2005-10-01 14:46:14 EDT
http://marc.theaimsgroup.com/?l=linux-kernel&m=112817350819818&w=2
appears to suggest that this is really a compiler issue (gcc-4.0.1) and
using gcc-4.0.2 should help.
Comment 6 Michal Jaegermann 2005-10-01 16:08:04 EDT
With gcc-4.0.2 compiled kernels (1586,1588) I indeed do not see the issue
anymore.  Anybody else?

Note You need to log in before you can comment on or make changes to this bug.